package com.ruoyi.ems.domain;

import com.alibaba.fastjson2.JSONObject;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

import java.util.List;

/**
 * 商户能源计费配置对象 adm_co_charging_config
 * 
 * @author ruoyi
 * @date 2024-08-26
 */
public class CoChargingConfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Long id;

    /** 服务区代码 */
    @Excel(name = "服务区代码")
    private String areaCode;

    /** 电计量单价 1度 */
    @Excel(name = "电计量单价")
    private Long elecUnitPrice;

    /** 电公摊计算类型 */
    @Excel(name = "电公摊计算类型")
    private Long elecGtComputeType;

    /** 电费计算说明 */
    @Excel(name = "电费计算说明")
    private String elecComputeDesc;

    /** 水计量单价 1吨 */
    @Excel(name = "水计量单价")
    private Long waterUnitPrice;

    /** 水公摊计算类型 */
    @Excel(name = "水公摊计算类型")
    private Long waterGtComputeType;

    /** 水费计算说明 */
    @Excel(name = "水费计算说明")
    private String waterComputeDesc;

    private List<CoChargingConfigRel> relCoList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAreaCode(String areaCode) 
    {
        this.areaCode = areaCode;
    }

    public String getAreaCode() 
    {
        return areaCode;
    }
    public void setElecUnitPrice(Long elecUnitPrice)
    {
        this.elecUnitPrice = elecUnitPrice;
    }

    public Long getElecUnitPrice()
    {
        return elecUnitPrice;
    }
    public void setElecGtComputeType(Long elecGtComputeType)
    {
        this.elecGtComputeType = elecGtComputeType;
    }

    public Long getElecGtComputeType()
    {
        return elecGtComputeType;
    }
    public void setElecComputeDesc(String elecComputeDesc)
    {
        this.elecComputeDesc = elecComputeDesc;
    }

    public String getElecComputeDesc()
    {
        return elecComputeDesc;
    }
    public void setWaterUnitPrice(Long waterUnitPrice)
    {
        this.waterUnitPrice = waterUnitPrice;
    }

    public Long getWaterUnitPrice()
    {
        return waterUnitPrice;
    }
    public void setWaterGtComputeType(Long waterGtComputeType)
    {
        this.waterGtComputeType = waterGtComputeType;
    }

    public Long getWaterGtComputeType()
    {
        return waterGtComputeType;
    }
    public void setWaterComputeDesc(String waterComputeDesc)
    {
        this.waterComputeDesc = waterComputeDesc;
    }

    public String getWaterComputeDesc()
    {
        return waterComputeDesc;
    }

    public List<CoChargingConfigRel> getRelCoList() {
        return relCoList;
    }

    public void setRelCoList(List<CoChargingConfigRel> relCoList) {
        this.relCoList = relCoList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("areaCode", getAreaCode())
            .append("elecUnitPrice", getElecUnitPrice())
            .append("elecGtComputeType", getElecGtComputeType())
            .append("elecComputeDesc", getElecComputeDesc())
            .append("waterUnitPrice", getWaterUnitPrice())
            .append("waterGtComputeType", getWaterGtComputeType())
            .append("waterComputeDesc", getWaterComputeDesc())
            .append("relCoList", JSONObject.toJSONString(getRelCoList()))
            .toString();
    }
}
